Create a new user Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://bump.sh/demo/doc/api-explorer/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"API Explorer Demo MCP server": {
  "url": "https://bump.sh/demo/doc/api-explorer/mcp"
}
Close
POST /users

Creates a new user with a full name, list of jobs, and address.

application/json

Body Required

  • full_name string

    First and last name of the user.

  • jobs array[object]

    List of jobs the user has had.

    Hide jobs attributes Show jobs attributes object
    • title string

      Title of the job.

    • company string

      Name of the company where the user worked.

    • year integer

      Year when the user worked at the company.

  • address object

    One of:

Responses

  • 201 application/json

    User successfully created.

    Hide response attributes Show response attributes object
    • id string(uuid)

      ID of the user.

    • createdAt string(date-time)

      Creation date and time.

    • full_name string

      First and last name of the user.

    • jobs array[object]

      List of jobs the user has had.

      Hide jobs attributes Show jobs attributes object
      • title string

        Title of the job.

      • company string

        Name of the company where the user worked.

      • year integer

        Year when the user worked at the company.

    • address object

      One of:
POST /users
curl \
 --request POST 'https://reqres.in/api/users' \
 --header "Content-Type: application/json" \
 --data '{"full_name":"John Doe","jobs":[{"title":"Software Engineer","company":"Bump.sh","year":"2020"}],"address":{"full_address":"25 rue Lenepveu, 49100 Angers","country":"France"}}'
Request examples
{
  "full_name": "John Doe",
  "jobs": [
    {
      "title": "Software Engineer",
      "company": "Bump.sh",
      "year": "2020"
    }
  ],
  "address": {
    "full_address": "25 rue Lenepveu, 49100 Angers",
    "country": "France"
  }
}
Response examples (201)
{
  "id": "string",
  "createdAt": "2026-05-04T09:42:00Z",
  "full_name": "John Doe",
  "jobs": [
    {
      "title": "Software Engineer",
      "company": "Bump.sh",
      "year": "2020"
    }
  ],
  "address": {
    "full_address": "25 rue Lenepveu, 49100 Angers",
    "country": "France"
  }
}